#!/bin/sh
###############################################################################
##
##              DELL INC. PROPRIETARY INFORMATION
##
##  This software is supplied under the terms of a license agreement or
##  nondisclosure agreement with Dell Inc. and may not be copied or disclosed 
##  except in accordance with the terms of that agreement.
##
##  Copyright (c) 2003-2005 Dell Inc. All Rights Reserved.
## 
##  Abstract/Purpose:
##
##  Environment:
##    Linux
##
##  Version:
##    $Revision $
##
###############################################################################
# Determine if the application has been launched from an xterm or XWindows
# Verify and start HAPI if necessary
typeset -ri _FALSE=1 2>/dev/null
typeset -ri _TRUE=0 2>/dev/null
typeset -i _SERVICE_STARTED=$_FALSE
typeset -r _INSTSVCDRV=/etc/init.d/instsvcdrv
bServiceStarted()
{
    [ $_SERVICE_STARTED -eq $_TRUE ]
}
[ -f $_INSTSVCDRV ] && {
    $_INSTSVCDRV status >/dev/null 2>&1 || {
        $_INSTSVCDRV start >/dev/null 2>&1
        _SERVICE_STARTED=$_TRUE
    }
}

# Call racsvm
./racsvm $@

# stop HAPI if necessary
bServiceStarted && $_INSTSVCDRV stop >/dev/null 2>&1
